#include <iostream>
#include <cstdio>
#include <vector>
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    ll n, l, h;
    cin>>n>>l;
    bool kraj=false;
    for(ll i=0; i<n; i++){
        cin>>h;
        if(h<=l && !kraj){
            kraj=true;
            cout<<i+1;

        }
    }

    if(!kraj) cout<<-1;
}